<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AdditionalType extends Model
{
    protected $table = 'additional_types';
    protected $fillable = ['name', 'status', 'image', 'category_id'];
    protected $casts = ['name' => 'json'];

    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id');
    }
    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/additional_types/';
        $filename = time().'.'.$file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/additional_types/') . '/' . $this->attributes['image'];
        }
        return asset('images/users/default.jpg');
    }
    public function deleteImage()
    {
        @unlink(public_path('images/additional_types/' . $this->attributes['image']));

    }
}
