@extends('admin.layout.master')
@section('title', 'الأقسام الرئيسية')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الأقسام الرئيسية</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('categories.update',$row->id)}}" enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">الإسم باللغة العربية</label>
                                <input type="text" class="form-control" value="{{$row->name['ar']}}" required
                                       name="name_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم باللغة العربية">
                                @if ($errors->has('name_ar'))
                                    <small class="text-danger">{{ $errors->first('name_ar') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">الإسم باللغة الإنجليزية</label>
                                <input type="text" class="form-control" value="{{$row->name['en']}}" required
                                       name="name_en"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم باللغة الإنجليزية">
                                @if ($errors->has('name_en'))
                                    <small class="text-danger">{{ $errors->first('name_en') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleSelect1">إظهار خصائص السيارات</label>
                                <select name="car_option" class="form-control" id="exampleSelect1">
                                    <option value="true" @if($row->status == 'true') selected @endif>إظهار</option>
                                    <option value="false" @if($row->status == 'false') selected @endif>
                                        إخفاء
                                    </option>
                                </select>
                            </div>
                            @if ($errors->has('car_option'))
                                <small class="text-danger">{{ $errors->first('car_option') }}</small>
                            @endif
                            <div class="form-group">
                                <label for="exampleSelect1">الحالة</label>
                                <select name="status" class="form-control" id="exampleSelect1">
                                    <option value="active" @if($row->status == 'active') selected @endif>مفعل</option>
                                    <option value="not_active" @if($row->status == 'not_active') selected @endif>غير
                                        مفعل
                                    </option>
                                </select>
                            </div>
                            @if ($errors->has('status'))
                                <small class="text-danger">{{ $errors->first('status') }}</small>
                            @endif
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">

                                        <h4 class="header-title mb-4">صورة القسم</h4>

                                        <input type="file" name="image"  class="dropify"
                                               data-default-file="{{$row->image}}" data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                            </div>
                            @if ($errors->has('image'))
                                <small class="text-danger">{{ $errors->first('image') }}</small>
                            @endif
                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
