<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use App\Models\Subscription;
use Carbon\Carbon;
use Illuminate\Http\Request;
use JWTAuth;
use Tymon\JWTAuth\Exceptions\JWTException;

class SubscriptionController extends Controller
{

    public function add_subscription(Request $request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }
        $validator = \Validator::make($request->all(), [
            'full_name' => 'required',
            'date' => 'required',
            'bank_id' => 'required',
            'mobile' => 'required'
        ]);
        if ($validator->passes()) {

            $subscription = new Subscription();
            $subscription->user_id = $user->id;
            $subscription->full_name = $request->full_name;
            $subscription->date = Carbon::parse($request->date);
            $subscription->bank_id = $request->bank_id;
            $subscription->mobile = $request->mobile;
            $subscription->type = 'bank';
            $subscription->details = $request->details;
            $subscription->amount = Setting::first()->value('year_subscription');
            $subscription->save();

            return response()->json(['value' => 'true', 'data' => \Lang::get('data.send'), 'code' => 422]);

        }
        return response()->json(['value' => 'false', 'msg' => $validator->errors()->first(), 'code' => 422]);
    }
}
