<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class City extends Model
{
    protected $table = 'cities';
    protected $fillable = ['name', 'parent_id', 'type'];
    protected $casts = ['name' => 'json'];

    public function parent()
    {
        return $this->belongsTo(City::class, 'parent_id');
    }

    public function cities()
    {
        return $this->hasMany(City::class, 'parent_id');
    }

    public function products()
    {
        return $this->hasMany(Product::class, 'city_id');
    }

    public function users()
    {
        return $this->hasMany(User::class, 'city_id');
    }
}
