@extends('web.layouts.master')
@section('title','المفضلة')
@section('contents')
    <!-- start page title -->
    <section class="page-title">
        <div class="container">
            <h3 class="main-title">المفضلة</h3>
        </div>
    </section>
    <!-- end page title -->

    <!-- start brands  -->
    <section class="filter-block all-brands white-bg">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-lg-12 grey-bg">
                    <div class="main-content">
                        <div class="title">
                            <div class="right-grid">
                                <h3 class="no-psedu">المفضلة</h3>
                            </div>
                            <div class="left-grid d-flex">
                                <div class="round-sh ch-grid">
                                    <img src="{{asset('web/img/dynamic/icons/menu.png')}}" alt="img">
                                </div>

                            </div>
                        </div>
                        <div class="row grid-cols">
                            @foreach($rows as $row)
                                <div class="col-sm-6 col-md-4 col-lg-3 wow fadeInUp" id="id-{{$row->id}}">
                                    <div class="card sm">
                                        <div class="card-img-top">
                                            <img src="{{(count($row->images) > 0) ? $row->images[0]['image'] : $setting->site_logo}}" class="img-fluid" alt="product img">
                                            <div class="card-caption">
                                                <div class="inner-caption">
                                                    <ul class="list-unstyled list-inline">
                                                        <li class="icon eye">
                                                            <a href="{{route('product.show', $row->code)}}"
                                                               title="مشاهدة الاعلان"><i
                                                                    class="fa fa-eye"></i>
                                                            </a>
                                                        </li>
                                                        <li onclick="favourite({{$row->id}})"
                                                            class="icon fav {{\App\Models\Favourite::where(['user_id' => Auth::user()->id, 'product_id' => $row->id])->first() ? 'liked' : ''}}">
                                                        <span
                                                            style="cursor: pointer" title="أضف الى المفضلة"><i
                                                                class="fa fa-heart"></i>
                                                        </span>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="card-body">
                                            <h5 class="card-title"><a href="{{route('product.show', $row->code)}}">{{$row->title}}</a></h5>
                                            <p class="locate">
                                                <span class="icon"><i class="fas fa-map-marker-alt"></i></span>
                                                {{$row->city->name[App::getLocale()]}}
                                            </p>
                                            <div class="bottom">
                                                <p class="owner">
                                                    <span class="icon"><i class="fas fa-user"></i></span>
                                                    {{$row->user->name}}
                                                </p>
                                                <p class="time">
                                                <span class="icon">
                                                    <i class="fas fa-clock"></i>
                                                </span>
                                                    {{\Carbon\Carbon::parse($row->created_at)->diffForHumans()}}
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endforeach
                            {{$rows->links()}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- end brands  -->

@endsection


